Page MenuHomePhabricator

See meta name="description" on article placeholders
Closed, ResolvedPublic

Description

We should set a meta description (<meta name="description" content="…">) for article placeholders. This is for example what users see in search engines.

On the repo we use the description for this, if available (including language fallbacks)… but that probably wont work very well for many article placeholders, so we should think about another solution.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterVery basic meta description tag

Event Timeline

hoo created this task.Feb 7 2017, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2017, 5:41 PM
Lucie added a comment.Feb 7 2017, 5:57 PM

I would suggest the following pattern as meta description:

This is an article placeholder for <title>. <description>. <property1> <value1>. <property2> <value2>.
which would be in the example of Q7259 in English something like
This an article placeholder for Ada Lovelace. English mathematician, considered the first computer programmer. Instance of human. Occupation computer scientist.
If we prefer to not have a set sentence (that would have to be translated!) I assume something like the following would be sufficient
Article Placeholder. <title>. <description>. <property1> <value1>. <property2> <value2>.

Let's not put article placeholder in the description please. People should not care at this point.

I suggest starting with the first 3 statements. Then we can see how things go from there.

hoo added a comment.Feb 23 2017, 10:53 AM

Relevant research (for humans only, though): https://arxiv.org/pdf/1702.06235.pdf

Gerrit-bot doesn't make comment when I make a patch:

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 24 2017, 4:55 AM
Ladsgroup moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.

I must say this patch doesn't solve it and it's not enough because statements can't be brought here easily. We need statement renderer, we need config variables for "instance of" and similar properties, also i18n for the statement value system. This is only title and description.

WMDE-leszek triaged this task as Normal priority.Apr 25 2017, 3:11 PM

Change 349868 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Very basic meta description tag

https://gerrit.wikimedia.org/r/349868

Ladsgroup removed Ladsgroup as the assignee of this task.Apr 27 2017, 7:22 AM
Ladsgroup removed a project: User-Ladsgroup.
Ladsgroup moved this task from Review to Proposed on the Wikidata-Former-Sprint-Board board.
Lydia_Pintscher closed this task as Resolved.Jun 29 2017, 5:28 PM
Lydia_Pintscher claimed this task.